Skip to main content
GET
/
tripleg
Get triplegs
curl --request GET \
  --url https://ctechnology.io/api/v2.2/tripleg \
  --header 'Authorization: <api-key>'
{
  "header": {
    "num_results": 123,
    "api_version": "<string>",
    "status": "<string>",
    "message": "<string>",
    "permission_via": [
      {
        "permission": "<string>",
        "organization_id": "<string>"
      }
    ],
    "offset": 123,
    "limit": 123
  },
  "data": [
    {
      "id": "<string>",
      "vehicle_id": "<string>",
      "timestamp_start": "2023-11-07T05:31:56Z",
      "timestamp_end": "2023-11-07T05:31:56Z",
      "completed": true,
      "valid": true,
      "validation_score": 123,
      "speed_max": 123,
      "speed_avg": 123,
      "distance_tot": 123,
      "distance_tot_gps": 123,
      "duration_tot": 123,
      "duration_cruising": 123,
      "battery_start_level_volt": 123,
      "battery_end_level_volt": 123,
      "name": "<string>",
      "distance_tot_can": 123,
      "distance_tot_odo": 123,
      "fuel_start_level_pct": 123,
      "fuel_start_level_lt": 123,
      "fuel_most_recent_pct": 123,
      "fuel_most_recent_vlt": 123,
      "fuel_used_pct": 123,
      "fuel_used_lt": 123,
      "fuel_num_refueled": 123,
      "fuel_refueled_pct": 123,
      "fuel_refueled_lt": 123,
      "fuel_avg_lt_per_100km": 123,
      "start_energy_available_ah": 123,
      "end_energy_available_ah": 123,
      "continuous_energy_consumption_ah": 123,
      "start_energy_available_wh": 123,
      "end_energy_available_wh": 123,
      "continuous_energy_consumption_wh": 123,
      "start_energy_available_pct": 123,
      "end_energy_available_pct": 123,
      "continuous_energy_consumption_pct": 123,
      "n2k_operation_hours_tot": 123,
      "can_fuel_consumption_avg": 123,
      "can_fuel_consumption_max": 123,
      "can_fuel_consumption_tot": 123,
      "can_rpm_max": 123,
      "can_rpm_avg": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.ctechnology.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Note that the API key has to be sent as Token 123 where 123 is the key you received after logging in or by creating on the developer dashboard.

Query Parameters

to
string<date-time>

Up until when to get the trips.

limit
number

The number of trips to return.

Response

Successful retrieval of triplegs.

header
API Header Paginated · object
required

Default header sent along with multi-resource responses (lists of resources).

data
Tripleg · object[]
required